apiVersion: apps/v1
kind: Deployment
metadata:
  # replace `NN` with your assigned student number
  name: flask-helloworld-10
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      # replace `NN` with your assigned student number
      app: flask-helloworld-10
  template:
    metadata:
      labels:
        # replace `NN` with your assigned student number
        app: flask-helloworld-10
    spec:
      containers:
      # replace `NN` with your assigned student number
      - image: devsecopslab/flask-helloworld-10
        name: flask-helloworld-10
        ports:
          - name: http
            containerPort: 5000
